CMSIS-Core (Cortex-M): APSR_Type Union Reference

| CMSIS-Core (Cortex-M) Version 5.4.0 CMSIS-Core support for Cortex-M processor-based devices

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Groups Pages
Data Fields
APSR_Type Union Reference

Union type to access the Application Program Status Register (APSR). More...

## Data Fields

struct {
uint32_t _reserved0:27
| bit: 0..26 Reserved More...
uint32_t Q:1
| bit: 27 Saturation condition flag More...
uint32_t V:1
| bit: 28 Overflow condition code flag More...
uint32_t C:1
| bit: 29 Carry condition code flag More...
uint32_t Z:1
| bit: 30 Zero condition code flag More...
uint32_t N:1
| bit: 31 Negative condition code flag More...
} | b
| Structure used for bit access. More...
uint32_t | w
| Type used for word access. More...

## Description

Union type to access the Application Program Status Register (APSR).

## Field Documentation

uint32_t APSR_Type::_reserved0

bit: 0..26 Reserved

struct { ... } APSR_Type::b

Structure used for bit access.

uint32_t APSR_Type::C

bit: 29 Carry condition code flag

uint32_t APSR_Type::N

bit: 31 Negative condition code flag

uint32_t APSR_Type::Q

bit: 27 Saturation condition flag

uint32_t APSR_Type::V

bit: 28 Overflow condition code flag

uint32_t APSR_Type::w

Type used for word access.

uint32_t APSR_Type::Z

bit: 30 Zero condition code flag